CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opcje]

Różne polecenia użyteczne przy debugowaniu calibre. Bez opcji uruchamia wbudowany interpreter Pythona. Można również uruchomić główny interfejs calibre, przeglądarkę książek lub edytor w trybie debugowania.

Zawiera również intefejsy do wielu elementów calibre, które nie mają oddzielnych poleceń konsolowych takich jak redukowanie czcionek, porównywanie książek itp.

Można również użyć calibre-debug do uruchomienia samodzielnych skryptów w następujący sposób:

calibre-debug myscript.py -- --option1 --option2 file1 file2 …

Wszystko, co jest po -- jest przekazywane do skryptu.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: „/some path/with spaces”

[OPCJE]

--add-simple-plugin
    Dodaj prostą wtyczkę (tj. wtyczkę, składającą się wyłącznie z pliku .py), podając ścieżkę do pliku py, zawierającego kod programu.

--command, -c
    Uruchom kod pythona

--debug-device-driver, -d
    Debuguj wykrycie urządzenia

--default-programs
    (Wy)rejestruj calibre z domyślnych programów Windows --default-programs = (register|unregister)

--diff
    Uruchom narzędzie porównywania calibre. Np: calibre-debug --diff plik1 plik2

--edit-book, -t
    Uruchom Edytor książek w trybie debugowania

--exec-file, -e
    Uruchom plik z kodem pythona

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Eksportuj wszystkie dane (książki/ustawienia/wtyczki)

--gui, -g
    Uruchom GUI w trybie debugowania. Komunikaty są kierowane na standardowe wyjście (stdout i stderr).

--gui-debug
    Uruchom z konsolą debugowania i zapisywaniem logu we wskazanej ścieżce. Wyłącznie dla programistów, użyj opcji -g aby uruchomić GUI w trybie debugowania

--help, -h
    pokaż ten tekst pomocy i zakończ

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importuj uprzednio eksportowane dane

--inspect-mobi, -m
    Sprawdź plik(i) w podanym katalogu

--paths
    Output the paths necessary to setup the calibre environment

--reinitialize-db
    Inicjuj ponownie bazę sqlite w podanym katalogu. Przydatne, by odzyskać bazę po utracie integralności danych.

--run-plugin, -r
    Uruchom wtyczkę, która obsługuje linię poleceń. Na przykład: calbre-debug -r "Add Books" --plik1 --option1 Elementy poprzedzone -- zostaną przekazane do wtyczki jako argumenty.

--shutdown-running-calibre, -s
    Powoduje zamknięcie wszystkich uruchomionych instancji calibre. Należy pamiętać, że wszystkie niezakończone zadania zostaną przerwane więc należy używać tego przełącznika ostrożnie.

--subset-font, -f
    Zredukuj określoną czcionkę. Użycie -- po tej opcji należy podać parametry przekazywane do programu redukującego czcionki

--test-build
    Test binary modules in build

--version
    pokaż numer wersji programu i zakończ

--viewer, -w
    Uruchom podgląd książek w trybie debugowania

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal